/* Chapter 9: Example 1. Three patterns of relationship in a 2 by 2 experimental design */

title 'Chapter 9, Example 1, Table 9.1.1'; 
proc import datafile='c:\ccwa\chap09\data\c0901dt.txt' out=c0901 dbms=tab replace;
getnames=yes;
run;
data cc0901;
set c0901;
lesion=lesion_;
drug=drug_;
if lesion='SURGERY' then lesion_c=0.5;
if lesion='SHAM' then lesion_c=-0.5;
if drug='ACTIVE' then drug_c=0.5;
if drug='PLACEB' then drug_c=-0.5;
lesdrg_c=lesion_c*drug_c;
if lesion='SURGERY' then lesion_d=1;
if lesion='SHAM' then lesion_d=0;
if drug='ACTIVE' then drug_d=1;
if drug='PLACEB' then drug_d=0;
lesdrg_d=lesion_d*drug_d;
output;
proc glm data=cc0901;
class lesion drug;
model ya=lesion drug lesion*drug;
run;
proc glm data=cc0901;
class lesion drug;
model yb=lesion drug lesion*drug;
run;
proc glm data=cc0901;
class lesion drug;
model yc=lesion drug lesion*drug;
run;
proc reg data=cc0901;
model ya=lesion_c drug_c lesdrg_c;
run;
proc reg data=cc0901;
model yb=lesion_c drug_c lesdrg_c;
run;
proc reg data=cc0901;
model yc=lesion_c drug_c lesdrg_c;
run;
proc reg data=cc0901;
model ya=lesion_d drug_d lesdrg_d;
run;
proc reg data=cc0901;
model yb=lesion_d drug_d lesdrg_d;
run;
proc reg data=cc0901;
model yc=lesion_d drug_d lesdrg_d;
run;
